有一陣子沒有接觸到 Typescript 了,想說來複習一下就把 Typescript 升級到 1.8, 然後遇到一些靈異現象,例如說 tsc --target ES6 不支援(只支援 ES3 or ES5) 也不支援 --watch 等參數,用 tsc --version查了一下,我的 tsc 版本竟然只有 1.5.3,可是我明明升級到 1.8.7 啊,難道我見鬼了?? 後來跟 google 大神請教了一下,原因是之前裝的 Typescript for visual studio 所造成的,可以用 where tsc 查出 tsc 所有的路徑,然後把舊的路徑刪除或修改就解決了喔。

Reference:
https://github.com/Microsoft/TypeScript/issues/4971